
Figure - Bug #115021
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT2】【游戏模式】user版本中游戏模式设置中修改分辨率为720p后，打开游戏后未生效
2023-01-03 16:17 - CD Test赵飞

Status: CLOSED Start date: 2023-01-03

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212310352

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-09

Test Type: ST Root cause: 1、根本原因��在使用PlatformCompat.setOverrides()保存修改策略时，在addOverrideUnsafe中会针对系统的版本类型做校验，如果是非debug版本时会抛出异常，并且保存数据的操作被拦截，调整分辨率的数据无法被写入。导致在游戏模式和gpu调整的模式下，启动游戏时，调整分辨率的数据无法被正常获取到，导致调整失败。��2、修改策略��校验游戏模式的状态，并拦截上述的检验策略，确保在非debug模式下，分辨率的调整数据可以被保存和读取。��

Description

【前提条件】

1、设备已开机

2、游戏模式开启

3、已安装游戏

【测试步骤】

1、打开设置- 游戏模式设置 - GPU设置

2、分辨率设置为“720p(低分辨率)”

3、打开游戏查看

【预期结果】

3、游戏画面分辨率降低为720P

【实际结果】

3、游戏画面分辨率没有被降低

【备注】

user版本复现，userdebug版本不复现

【日志】

见附件

History

#1 - 2023-01-04 14:30 - CD FW王武军

■ Current status

初次解析：

日志信息：

12-31 04:57:12.209 E/BoostPerfManager( 1505): UpdateResolution SecurityException : e=java.lang.SecurityException: Cannot override a change on a non-debuggable app

and user build.

■ My analysis

调查发现：PlatformCompat的使用有针对版本类型的判断，user版本不能满足使用要求。
■ Next action

尝试在游戏模式开启时，绕过针对user版本类型的判断限制

#2 - 2023-01-06 18:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

173844 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: Fix adjust resolution in user_versionThe adjust resolution by PlatformCompat need work indebugable,so need check the game mode to avoid

debugablecheck logic.TC-RID: 1201-0204803IssueID: TS-R-DF-115021Change-Id: I57928af55ee75acdbc59cebf94e6ad114343e00c

#3 - 2023-01-06 18:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

173842 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: Fix adjust resolution in user_versionAdd the logic to work for adjust resolution, return thecurrent game mode.TC-RID: 1201-0204803IssueID:

TS-R-DF-115021Change-Id: I87a84456fc852b153cbedca848a5f0ef62350852

#4 - 2023-01-06 18:31 - CD FW王武军

- Status changed from New to RESOLVED

- Assignee changed from CD FW王武军 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-09

- Root cause set to 1、根本原因

在使用PlatformCompat.setOverrides()保存修改策略时，在addOverrideUnsafe中会针对系统的版本类型做校验，如果是非debug版本时会抛出异常，并且保存

数据的操作被拦截，调整分辨率的数据无法被写入。导致在游戏模式和gpu调整的模式下，启动游戏时，调整分辨率的数据无法被正常获取到，导致调整

失败。

2、修改策略

校验游戏模式的状态，并拦截上述的检验策略，确保在非debug模式下，分辨率的调整数据可以被保存和读取。

#5 - 2023-01-09 11:16 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

验证结果：PASS
user版本游戏模式中设置分辨率为720P后，冷启动游戏后可以生效

#6 - 2023-01-09 11:16 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 10.4 MB 2023-01-03 CD Test赵飞
